microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a specific version of a skill
DELETE
/skills/{name}/versions/{version}
Removes the specified version of a skill.
Parameter jalur
name
string
diperlukan
The name of the skill.
version
string
diperlukan
The version identifier to delete.
Parameter header
Foundry-Features
enum
diperlukan
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Respons
The request has succeeded.
Isi
Content-Type: application/json
id
string
diperlukan
The unique identifier of the deleted skill version.
name
string
diperlukan
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
diperlukan
Whether the skill version was successfully deleted.
version
string
diperlukan
The version that was deleted.
Minta
DELETE /skills/{name}/versions/{version} HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json